Bug 1419936 - gcc gnat ICE
Summary: gcc gnat ICE
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 26
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1423073 1423610
TreeView+ depends on / blocked
 
Reported: 2017-02-07 12:50 UTC by Thomas Sailer
Modified: 2018-05-29 12:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:39:55 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNU Compiler Collection 79542 0 None None None 2017-03-01 20:40:48 UTC

Description Thomas Sailer 2017-02-07 12:50:32 UTC
Description of problem:
gcc -c -I./ -I/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl -O2 -g -Wall -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -mtune=generic -gnata -gnat05 -gnaty3befhkmr -gnatwae -I- /builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/trans-chap8.adb
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/trans-chap8.adb: In function 'Trans.Chap8.Translate_String_Case_Statement_Dichotomy.B_15.Merge_Sort':
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/trans-chap8.adb:1296:14: warning: 'Res' may be used uninitialized in this function [-Wmaybe-uninitialized]
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/trans-chap8.adb:1243:32: note: 'Res' was declared here
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/trans-chap8.adb: In function 'Trans.Chap8.Do_Conversion':
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/trans-chap8.adb:2456:25: warning: 'Res' may be used uninitialized in this function [-Wmaybe-uninitialized]
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/trans-chap8.adb: In function 'Trans.Chap8.Translate_Case':
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/trans-chap8.adb:1518:19: warning: 'Others_Lit' may be used uninitialized in this function [-Wmaybe-uninitialized]
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/trans-chap8.adb:1183:7: note: 'Others_Lit' was declared here
+===========================GNAT BUG DETECTED==============================+
| 7.0.1 20170204 (Red Hat 7.0.1-0.6) (x86_64-redhat-linux) GCC error:      |
| in add_gnat_descriptive_type_attribute, at dwarf2out.c:19511             |
| Error detected around /builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/trans-chap8.adb:1733:8|
| Please submit a bug report; see http://gcc.gnu.org/bugs.html.            |
| Use a subject line meaningful to you and us to track the bug.            |
| Include the entire contents of this bug box in the report.               |
| Include the exact command that you entered.                              |
| Also include sources listed below.                                       |
+==========================================================================+

Please include these source files with error report
Note that list may not be accurate in some cases,
so please double check that the problem can still
be reproduced with the set of files listed.
Consider also -gnatd.n switch (see debug.adb).

/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/trans-chap8.adb
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/trans-chap8.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/trans.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/ortho_nodes.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/ortho_gcc.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/ortho_ident.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/iirs.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/types.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/tokens.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/nodes.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/lists.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/std_names.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/errorout.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/iir_chains.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/iir_chain_handling.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/nodes_meta.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/canon.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/evaluation.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/std_package.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/iirs_utils.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/trans-chap2.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/trans-chap3.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/trans-chap4.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/trans-chap6.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/trans-chap7.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/trans-chap9.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/trans-chap14.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/trans_decls.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/translation.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/trans-helpers2.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/trans-foreach_non_composite.ads
/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl/trans-foreach_non_composite.adb


raised TYPES.UNRECOVERABLE_ERROR : comperr.adb:406


Version-Release number of selected component (if applicable):
gcc-gnat-7.0.1-0.6.fc26.x86_64.rpm


How reproducible:


Steps to Reproduce:
1. gnatmake -c -aI/builddir/build/BUILD/gcc-4.9.2-20141101/gcc/vhdl ortho_gcc-main -cargs -O2 -g -Wall -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -mtune=generic -gnata -gnat05 -gnaty3befhkmr -gnatwae

Actual results:
ICE

Expected results:
object file

Additional info:
trans-chap8.adb is here:
https://github.com/tgingold/ghdl/blob/5227adb2bbf6be86376eb4bc8d733defcb44d2bd/src/vhdl/translate/trans-chap8.adb

Comment 1 Fedora End Of Life 2017-02-28 11:12:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Jakub Jelinek 2017-03-01 20:40:48 UTC
Possibly related to PR79542.

Comment 3 Fedora End Of Life 2018-05-03 08:04:14 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2018-05-29 12:39:55 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.